
/******************************************************************************
 *
 *  Quest Software, Inc.
 * ALL RIGHTS RESERVED.
 *
 * Redistribution and use in source and binary forms, with or without modification, 
 * are permitted provided that the following conditions are met:
 * 
 *  *  Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.  
 * 
 *  *  Redistributions in binary form must reproduce the above copyright notice, 
 *     this list of conditions and the following disclaimer in the documentation 
 *     and/or other materials provided with the distribution.  
 * 
 *  *  Neither the name of Quest Software, Inc. nor the names of its contributors 
 *     may be used to endorse or promote products derived from this software 
 *     without specific prior written permission. 
 * 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ON AN "AS IS" 
 * AND UNSUPPORTED BASIS, WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES OF ANY KIND, 
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, NON-
 * INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL THE COPYRIGHT 
 * HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, 
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT 
 * OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, 
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT 
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 ************************************************************************************/


/*
 *
 * Copyright (C) 2007-2009 SimplyCore LLC
 * All rights reserved.
 * This file is part of Linux USB IP project.
 * Distributed under Non-disclosure agreement.
 *
 */

#ifndef __USB_STRUCT_H__
#define __USB_STRUCT_H__

#include "nettypes.h"

#pragma pack(push,1)

struct tusbd_endpoint_descriptor {
	uint8  bLength;
	uint8  bDescriptorType;
	uint8  bEndpointAddress;
	uint8  bmAttributes;
	uint16 wMaxPacketSize;
	uint8  bInterval;
} __attribute__((packed));

struct tusbd_interface_descriptor {
	uint8  bLength;
	uint8  bDescriptorType;
	uint8  bInterfaceNumber;
	uint8  bAlternateSetting;
	uint8  bNumEndpoints;
	uint8  bInterfaceClass;
	uint8  bInterfaceSubClass;
	uint8  bInterfaceProtocol;
	uint8  iInterface;
} __attribute__((packed));

struct tusbd_config_descriptor {
	uint8  bLength;
	uint8  bDescriptorType;
	uint16 wTotalLength;
	uint8  bNumInterfaces;
	uint8  bConfigurationValue;
	uint8  iConfiguration;
	uint8  bmAttributes;
	uint8  MaxPower;
} __attribute__((packed));

struct tusbd_device_descriptor {
	uint8  bLength;
	uint8  bDescriptorType;
	uint16 bcdUSB;
	uint8  bDeviceClass;
	uint8  bDeviceSubClass;
	uint8  bDeviceProtocol;
	uint8  bMaxPacketSize0;
	uint16 idVendor;
	uint16 idProduct;
	uint16 bcdDevice;
	uint8  iManufacturer;
	uint8  iProduct;
	uint8  iSerialNumber;
	uint8  bNumConfigurations;
} __attribute__((packed));

struct tusbd_ctrl_setup {
	uint8  bRequestType;
	uint8  bRequest;
	uint16 wValue;
	uint16 wIndex;
	uint16 wLength;
} __attribute__((packed));

#pragma pack(pop)

#endif /* __USB_STRUCT_H__ */
