
/******************************************************************************
 *
 *  Quest Software, Inc.
 * ALL RIGHTS RESERVED.
 *
 * Redistribution and use in source and binary forms, with or without modification, 
 * are permitted provided that the following conditions are met:
 * 
 *  *  Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.  
 * 
 *  *  Redistributions in binary form must reproduce the above copyright notice, 
 *     this list of conditions and the following disclaimer in the documentation 
 *     and/or other materials provided with the distribution.  
 * 
 *  *  Neither the name of Quest Software, Inc. nor the names of its contributors 
 *     may be used to endorse or promote products derived from this software 
 *     without specific prior written permission. 
 * 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ON AN "AS IS" 
 * AND UNSUPPORTED BASIS, WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES OF ANY KIND, 
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, NON-
 * INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL THE COPYRIGHT 
 * HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, 
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT 
 * OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, 
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT 
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 ************************************************************************************/


#include "dialogpages.h"


ExperienceOptionsPage::ExperienceOptionsPage(ConnectionDialog *parent)
	: ConnectionDialogPage(parent)
{
	setTitle(tr("Experience options"), tr("Specify experience options for the connection."));

	backgroundCheckBox = new QCheckBox("Disable wallpaper");
	showWhileDraggingCheckBox = new QCheckBox("Disable fill window dragging");
	animationCheckBox = new QCheckBox("Disable menu and window animation");
	themesCheckBox = new QCheckBox("Disable themes");
	bitmapCachingCheckBox = new QCheckBox("Enable bitmap caching");

	registerField("disable wallpaper", backgroundCheckBox);
	registerField("disable full window drag", showWhileDraggingCheckBox);
	registerField("disable menu anims", animationCheckBox);
	registerField("disable themes", themesCheckBox);
	registerField("bitmapcachepersistenable", bitmapCachingCheckBox);

	QVBoxLayout *vLayout = new QVBoxLayout;
	vLayout->addWidget(backgroundCheckBox);
	vLayout->addWidget(showWhileDraggingCheckBox);
	vLayout->addWidget(animationCheckBox);
	vLayout->addWidget(themesCheckBox);
	vLayout->addWidget(bitmapCachingCheckBox);
	vLayout->setContentsMargins(20, 10, 5, 5);
	
	QVBoxLayout *layout = new QVBoxLayout;
	layout->addLayout(titleLayout);
	layout->addLayout(vLayout);
	layout->setAlignment(Qt::AlignTop);
	setLayout(layout);
}
