
/******************************************************************************
 *
 *  Quest Software, Inc.
 * ALL RIGHTS RESERVED.
 *
 * Redistribution and use in source and binary forms, with or without modification, 
 * are permitted provided that the following conditions are met:
 * 
 *  *  Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.  
 * 
 *  *  Redistributions in binary form must reproduce the above copyright notice, 
 *     this list of conditions and the following disclaimer in the documentation 
 *     and/or other materials provided with the distribution.  
 * 
 *  *  Neither the name of Quest Software, Inc. nor the names of its contributors 
 *     may be used to endorse or promote products derived from this software 
 *     without specific prior written permission. 
 * 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ON AN "AS IS" 
 * AND UNSUPPORTED BASIS, WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES OF ANY KIND, 
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, NON-
 * INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL THE COPYRIGHT 
 * HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, 
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT 
 * OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, 
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT 
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 ************************************************************************************/


#include "../common/common.h"

//
// This file is only used to hand off the incoming pit file
// from the wbe browser to the pntsc executable because
// browsers cannot be assumed to allow command line customizations
// and as such the handler application can only take the single
// command line argument as the name of the file.
//
// So 'launcher <file>' turns into 'pntsc -f /tmp/appportal/<file>'
//
// So this make things just a bit cleaner is all.
//
int main ( int argc, char ** argv)
{
    char buffer[1024];
    char * marker;

    if ( argc < 2 ) exit( -1 );

    printf( "Incoming file is %s\n", argv[1] );

    // Strip the path to leave  only the file name
    marker = strrchr( argv[1], '/' );
    sprintf( buffer, "mkdir /tmp/appportal" );
    system( buffer );
    if ( marker != NULL )
    {
        printf ("\nBase file name is \"%s\"\n", ( &marker[1] ));
        sprintf( buffer, "cp \"%s\" \"/tmp/appportal/%s\" && chmod 644 \"/tmp/appportal/%s\"", argv[1], &marker[1], &marker[1] );
        system( buffer );
        sprintf( buffer, "pntsc -f \"/tmp/appportal/%s\"", &marker[1] );
    }
    else
    {
        printf ("\nBase file name is \"%s\"\n", ( argv[1] ));
        sprintf( buffer, "cp \"%s\" \"/tmp/appportal/%s\" && chmod 644 \"/tmp/appportal/%s\"", argv[1], argv[1], argv[1] );
        system( buffer );
        sprintf( buffer, "pntsc -f \"/tmp/appportal/%s\"", argv[1] );
    }


    system ( buffer );

    exit( 0 );
}
