
/******************************************************************************
 *
 *  Quest Software, Inc.
 * ALL RIGHTS RESERVED.
 *
 * Redistribution and use in source and binary forms, with or without modification, 
 * are permitted provided that the following conditions are met:
 * 
 *  *  Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.  
 * 
 *  *  Redistributions in binary form must reproduce the above copyright notice, 
 *     this list of conditions and the following disclaimer in the documentation 
 *     and/or other materials provided with the distribution.  
 * 
 *  *  Neither the name of Quest Software, Inc. nor the names of its contributors 
 *     may be used to endorse or promote products derived from this software 
 *     without specific prior written permission. 
 * 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ON AN "AS IS" 
 * AND UNSUPPORTED BASIS, WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES OF ANY KIND, 
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, NON-
 * INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL THE COPYRIGHT 
 * HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, 
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT 
 * OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, 
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT 
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 ************************************************************************************/


/*
 * wave_buffer.h
 *
 *  Created on: 05.08.2009
 *      Author: beloborodov
 */

#ifndef _WAVE_BUFFER_H_
#define _WAVE_BUFFER_H_

#include <pthread.h>

#define MAX_WAVE_BUFFER_SIZE (4 * 1024 * 1024 ) /* four megabytes */

typedef struct
{
	uint8 * data;
	int size;
	int read_ptr;
	int write_ptr;
	int write_avail;

	pthread_mutex_t sync;
} sync_wave_buffer;

sync_wave_buffer * wave_buffer_create (  int _size );

void wave_buffer_destroy( sync_wave_buffer * _wave );

void wave_buffer_clear ( sync_wave_buffer * _wave );

int wave_buffer_get_size ( sync_wave_buffer * _wave);

int wave_buffer_read ( sync_wave_buffer * _wave , uint8* _data , int _to_read );

int wave_buffer_write ( sync_wave_buffer * _wave , uint8 * _data , int _to_write );

int wave_buffer_get_writed_bytes ( sync_wave_buffer * _wave);


#endif /* WAVE_BUFFER_H_ */
